Bug 804337 - SELinux is preventing /usr/sbin/NetworkManager from 'read' accesses on the None sysctl.conf.
Summary: SELinux is preventing /usr/sbin/NetworkManager from 'read' accesses on the No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2735eb42fdedb183355295d8e6f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-17 22:00 UTC by Michael Cagle
Modified: 2012-03-21 18:55 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 18:55:27 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Cagle 2012-03-17 22:00:31 UTC
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         SELinux is preventing /usr/sbin/NetworkManager from 'read' accesses on the None sysctl.conf.
time:           Sat 17 Mar 2012 04:53:55 PM CDT

description:
:SELinux is preventing /usr/sbin/NetworkManager from 'read' accesses on the None sysctl.conf.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that NetworkManager should be allowed read access on the sysctl.conf <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep NetworkManager /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:NetworkManager_t:s0
:Target Context                system_u:object_r:system_conf_t:s0
:Target Objects                sysctl.conf [ None ]
:Source                        NetworkManager
:Source Path                   /usr/sbin/NetworkManager
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           NetworkManager-0.9.3.995-0.6.git20120314.fc17.x86_
:                              64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc17.noarch selinux-
:                              policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc3.git7.2.fc17.x86_64 #1 SMP Fri Feb 17
:                              18:55:53 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sat 17 Mar 2012 04:14:42 PM CDT
:Last Seen                     Sat 17 Mar 2012 04:14:42 PM CDT
:Local ID                      b2afb222-e554-4200-9083-d8d26461c9c8
:
:Raw Audit Messages
:type=AVC msg=audit(1332018882.279:26): avc:  denied  { read } for  pid=485 comm="NetworkManager" name="sessions" dev="tmpfs" ino=11195 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:systemd_logind_sessions_t:s0 tclass=dirnode=(removed) type=AVC msg=audit(1332020017.141:94): avc:  denied  { read } for  pid=4024 comm="NetworkManager" name="sysctl.conf" dev="dm-1" ino=918308 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:system_conf_t:s0 tclass=filenode=(removed) type=SYSCALL msg=audit(1332020017.141:94): arch=c000003e syscall=2 success=no exit=-13 a0=4c7322 a1=0 a2=666e6f a3=11 items=0 ppid=1 pid=4024 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)
:
:
:Hash: NetworkManager,NetworkManager_t,system_conf_t,None,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Miroslav Grepl 2012-03-19 14:32:28 UTC
Fixed in the latest policy. Today I am going to submit a new update.

Comment 2 Fedora Update System 2012-03-19 17:56:30 UTC
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17

Comment 3 Fedora Update System 2012-03-20 06:09:33 UTC
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-21 18:55:27 UTC
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.